Bug 483550 - yum-merge-conf is not working
yum-merge-conf is not working
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-02 07:14 EST by Neal Becker
Modified: 2014-01-21 18:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-09 15:17:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2009-02-02 07:14:25 EST
Description of problem:

Today I got:
 Updating       : libmtp                                                                                         58/194 
warning: /etc/udev/rules.d/60-libmtp.rules created as /etc/udev/rules.d/60-libmtp.rules.rpmnew                           
warning: /usr/share/hal/fdi/information/10freedesktop/10-usb-music-players-libmtp.fdi created as /usr/share/hal/fdi/information/10freedesktop/10-usb-music-players-libmtp.fdi.rpmnew                                                              
 
There is no mention of merge-conf doing anything.

In /etc/yum/plugin.d/merge-conf.conf I have:
[main]
enabled=1

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 seth vidal 2009-02-02 10:52:03 EST
reassigning to yum-utils.
Comment 2 Aurelien Bompard 2009-02-12 09:30:02 EST
The merge-conf plugin must be activated on the command line. Did you use the --merge-conf argument ? The configuration file only tells yum to load the plugin, it does not activate it (so you can choose to use the merge-conf feature when you're running yum interactively).
Comment 3 Neal Becker 2009-02-12 10:26:27 EST
I've had merge-conf in the past and it did not need anything on the command line to do it's work.  Is that a change of behavior?  If so, it's not a good thing.  This is intended for automated upgrades of unattended systems.
Comment 4 Aurelien Bompard 2009-02-12 12:48:35 EST
I don't understand, it should always have needed the command line switch... Strange.

> This is intended for automated upgrades of unattended systems.

What do you mean ? Merge-conf is interactive, it asks you which file to keep, if you want a diff to decide, etc... The only automatic action is when the files are empty or identical.
Comment 5 seth vidal 2009-10-09 15:17:32 EDT
closing this bug since there has been no response for 8 months.

Note You need to log in before you can comment on or make changes to this bug.